- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_ORB_Core_Auto_Ptr Class Reference

Define a TAO_ORB_Core auto_ptr class. More...

`#include <ORB_Core_Auto_Ptr.h>`

Collaboration diagram for TAO_ORB_Core_Auto_Ptr:

[legend]
List of all members.

## Public Member Functions
Initialization and termination methods
| TAO_ORB_Core_Auto_Ptr (TAO_ORB_Core *p=0)
| TAO_ORB_Core_Auto_Ptr (TAO_ORB_Core_Auto_Ptr &ap)
TAO_ORB_Core_Auto_Ptr & | operator= (TAO_ORB_Core_Auto_Ptr &rhs)
| ~TAO_ORB_Core_Auto_Ptr (void)
Accessor methods.
TAO_ORB_Core & | operator * () const
TAO_ORB_Core * | get (void) const
TAO_ORB_Core * | release (void)
void | reset (TAO_ORB_Core *p=0)
TAO_ORB_Core * | operator-> () const
## Protected Attributes
TAO_ORB_Core * | p_

## Detailed Description

Define a TAO_ORB_Core auto_ptr class.

This class is used as an aid to make ORB initialization exception safe. It ensures that the ORB core is deallocated through its reference counting mechanism if an exception is thrown.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE TAO_ORB_Core_Auto_Ptr::TAO_ORB_Core_Auto_Ptr | ( | TAO_ORB_Core * | p = `0` | ) | `[explicit]`

ACE_INLINE TAO_ORB_Core_Auto_Ptr::TAO_ORB_Core_Auto_Ptr | ( | TAO_ORB_Core_Auto_Ptr & | ap | ) |

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_ORB_Core_Auto_Ptr::~TAO_ORB_Core_Auto_Ptr | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE TAO_ORB_Core * TAO_ORB_Core_Auto_Ptr::get | ( | void |  | ) | const

ACE_INLINE TAO_ORB_Core & TAO_ORB_Core_Auto_Ptr::operator * | ( |  | ) | const

ACE_INLINE TAO_ORB_Core * TAO_ORB_Core_Auto_Ptr::operator-> | ( |  | ) | const

ACE_INLINE TAO_ORB_Core_Auto_Ptr & TAO_ORB_Core_Auto_Ptr::operator= | ( | TAO_ORB_Core_Auto_Ptr & | rhs | ) |

ACE_INLINE TAO_ORB_Core * TAO_ORB_Core_Auto_Ptr::release | ( | void |  | ) |

void TAO_ORB_Core_Auto_Ptr::reset | ( | TAO_ORB_Core * | p = `0` | ) |

## Member Data Documentation

TAO_ORB_Core* TAO_ORB_Core_Auto_Ptr::p_`[protected]`

The documentation for this class was generated from the following files:

- ORB_Core_Auto_Ptr.h
- ORB_Core_Auto_Ptr.cpp
- ORB_Core_Auto_Ptr.inl